#********************************************************************
# Wrapper Properties - Sample file generated from a running tomcat
#********************************************************************

#tomcat_home = -- set path to tomcat home if not set as system var --

# Java Application
# YAJSW: default is "java"
wrapper.java.command = java

# Java Main class.  This class must implement the WrapperListener interface
#  or guarantee that the WrapperManager class is initialized.  Helper
#  classes are provided to do this for you.  See the Integration section
#  of the documentation for details.
# YAJSW: default is "org.rzo.yajsw.WrapperMain"
# wrapper.java.mainclass=org.rzo.yajsw.WrapperMain

# Java Classpath (include wrapper.jar)  Add class path elements as
#  needed starting from 1
# YAJSW: all libs required by YAJSW are in the manifest of the wrapper.jar -> only classpath of your application is required
#wrapper.java.classpath.1 = .

# Java Library Path
# YAJSW: required dll are encapsulated in jar files -> only library path of your application required
# wrapper.java.library.path.1=../lib

# Java Additional Parameters
#wrapper.java.additional.1=

# Initial Java Heap Size (in MB)
# YAJSW: currently not implemented -> use for example wrapper.java.additional.<n>=-Xmx
#wrapper.java.initmemory=3

# Maximum Java Heap Size (in MB)
# YAJSW: currently not implemented -> use for example wrapper.java.additional.<n>=-Xmx
#wrapper.java.maxmemory=64

# Application parameters.  Add parameters as needed starting from 1
# YAJSW: to specify the main class please use wrapper.java.app.mainclass=
# wrapper.app.parameter.1=<YourMainClass>

# YAJSW: Application main class
wrapper.java.app.mainclass = org.apache.catalina.startup.Bootstrap



#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Format of output for the console.  (See docs for formats)
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
# wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
wrapper.console.loglevel = INFO

# Log file to use for wrapper output logging.
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
wrapper.logfile=wrapper.log

# Format of output for the log file.  (See docs for formats)
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
wrapper.logfile.format=LPTM

# Log Level for log file output.  (See docs for log levels)
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
wrapper.logfile.loglevel = INFO

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
wrapper.logfile.maxsize=10m

# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
wrapper.logfile.maxfiles=10

# Log Level for sys/event log output.  (See docs for log levels)
# YAJSW: currently not implemented -> can be implemented by configuration of java logging
# wrapper.syslog.loglevel=NONE

#********************************************************************
# Wrapper Windows Properties
#********************************************************************
# Title to use when running as a console
wrapper.console.title = Tomcat

#********************************************************************
# Wrapper Windows NT/2000/XP Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.ntservice.name = Tomcat

# Display name of the service
wrapper.ntservice.displayname = Tomcat

# Description of the service
wrapper.ntservice.description = Tomcat

wrapper.app.parameter.1 = start
wrapper.java.additional.1.1 = -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager 
wrapper.java.additional.1.2 = -Djava.util.logging.config.file=${tomcat_home}/conf/logging.properties 
wrapper.java.additional.1.3 = -Djava.endorsed.dirs=${tomcat_home}/endorsed -Dcatalina.base=${tomcat_home} -Dcatalina.home=${tomcat_home} 
wrapper.java.additional.1.4 = -Djava.io.tmpdir=${tomcat_home}/temp
wrapper.java.additional.2 = -Dcom.sun.management.jmxremote

wrapper.java.classpath.11 = ${tomcat_home}/bin/bootstrap.jar

wrapper.working.dir = ${tomcat_home}/bin

wrapper.jmx=true
wrapper.on_exit.0=SHUTDOWN
wrapper.on_exit.default=RESTART
wrapper.stop.conf = conf/tomcat.stop.conf
wrapper.tray = true
wrapper.tray.icon = ${wrapper.working.dir}/../webapps/root/tomcat.gif
wrapper.filter.trigger.0=Exception
wrapper.filter.script.0=../scripts/trayMessage.gv